Class Index | File Index

## Classes

- _global_
- SIPml
- SIPml.Event
- SIPml.EventTarget
- SIPml.Session
- SIPml.Session.Call
- SIPml.Session.Configuration
- SIPml.Session.Event
- SIPml.Session.Message
- SIPml.Session.Publish
- SIPml.Session.Registration
- SIPml.Session.Subscribe
- SIPml.Stack
- SIPml.Stack.Configuration
- SIPml.Stack.Event

# Class SIPml.Event

Defined in: SIPml.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| SIPml.Event(type, event) SIP event object.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| description User-friendly description in english (e.g.
| type The event type or identifier (e.g.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getContent() Gets the SIP content associated to this event.
| getContentString() Gets the SIP content associated to this event.
| getContentType() Gets the SIP content-type associated to this event.
| getSipResponseCode() Gets the SIP response code.

Class Detail
SIPml.Event(type, event)
SIP event object. You should never create an instance of this class by yourself.

Parameters:
{String} type
  The event type or identifier. Please check this link for more information about all supported session event types.
{tsip_event} event Optional
  Private wrapped session object.

Field Detail
{String} description
User-friendly description in english (e.g. 'Session is now connected').

{String} type
The event type or identifier (e.g. 'connected').
Method Detail
{Object} getContent()
Gets the SIP content associated to this event. This function could be called to get the content of the incoming SIP message ('i_new_message' event).

Returns:
  {Object} SIP content.

See:
  getContentType, getContentString

{String} getContentString()
Gets the SIP content associated to this event. This function could be called to get the content of the incoming SIP message ('i_new_message' event).

Returns:
  {String} SIP content.

See:
  getContentType, getContent

{Object} getContentType()
Gets the SIP content-type associated to this event. This function could be called to get the content-type of the incoming SIP message ('i_new_message' event).

Returns:
  {Object} SIP content-type.

See:
  getContent

{Integer} getSipResponseCode()
Gets the SIP response code.

Returns:
  {Integer} The SIP response code (e.g. 404).

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Sep 25 2013 03:40:14 GMT+0200 (CEST)